@font-face {
    font-family: 'Native Record Sans';
    src: url('./assets/fonts/NativeRecordSans.otf') format('opentype');
    font-weight: 400;
    font-style: normal;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Native Record Sans', sans-serif;
    background: #000;
    /* overflow: hidden; */
}

.hero {
    position: relative;
    width: 100%;
    min-height: 100vh;
    background: url("./assets/images/wallpaper-background.png") center center/cover no-repeat;
    display: flex;
    justify-content: center;
}

/* Overlay */

.overlay {
    position: absolute;
    inset: 0;
    background:
        linear-gradient(rgba(0, 0, 0, .55),
            rgba(0, 0, 0, .35));
    z-index: 1;
}

/* Noise Effect */

/* .hero::after {
    content: "";
    position: absolute;
    inset: 0;
    background-image:
        radial-gradient(rgba(255, 255, 255, .15) 1px,
            transparent 1px);
    background-size: 4px 4px;
    opacity: .35;
    mix-blend-mode: screen;
    z-index: 2;
} */

/* Film Lines */

.film-line {
    position: absolute;
    top: 0;
    bottom: 0;
    width: 5px;

    background: rgba(255, 255, 255, .8);

    filter: blur(2px);

    z-index: 3;
}

.film-line.left {
    left: 70px;
}

.film-line.right {
    right: 320px;
}

/* Content */

.content {
    position: relative;
    z-index: 5;
    text-align: center;
    color: white;
    max-width: 900px;
}

.top-brand p {
    margin-top: 5px;
    font-size: 14px;
    letter-spacing: 2px;
}

.top-brand {
    margin-top: 30px;
}

.partner {
    margin-top: 50px;
    display: flex;
    justify-content: center;
    gap: 15px;
    align-items: center;
    font-size: 14px;
}

.headline {
    justify-content: center;
    align-items: center;
    display: flex;
    flex-direction: column;
    margin-top: 30px;
}

.circle {
    display: inline-flex;
    justify-content: center;
    align-items: center;

    width: 70px;
    height: 70px;

    border: 2px solid white;
    border-radius: 50%;

    font-size: 30px;
    font-style: italic;
}

.date {
    margin-top: 5px;

    font-size: 28px;
    letter-spacing: 2px;
    font-weight: 600;
}

/* Button */

.btn-register {
    display: inline-block;

    margin-top: 40px;

    background: #c7ab42;
    color: #000;

    text-decoration: none;

    padding: 18px 40px;

    border-radius: 999px;

    font-weight: 700;
    transition: .3s;
}

.btn-register:hover {
    transform: translateY(-3px);
    box-shadow: 0 10px 30px rgba(199, 171, 66, .4);
}

/* Footer Social */

.social {
    margin-top: 80px;
    margin-bottom: 20px;
    display: flex;
    align-items: center;
    font-size: 14px;
    justify-content: space-between;
    max-width: 400px;
    margin-left: auto;
    margin-right: auto;
}

.sub-social {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.space {
    width: 50px;
}

.title-1 {
    display: block;
}

.title-2 {
    display: none;
}

.city {
    width: 212px;
}

.date {
    width: 234px;
}

@media (max-width: 600px) {
    .title-1 {
        display: none;
    }

    .title-2 {
        display: block;
    }

    .headline {
        margin-top: 20px !important;
    }

    .city {
        width: 106px;
    }

    .date {
        width: 117px;
    }

    .social {
        /* bottom: 180px; */
        gap: 10px;
    }

    .social a img {
        width: 15px;
    }

    .social span {
        font-size: 12px;
    }

    .hero {
        background: url("./assets/images/wallpaper-mobile.png") top center/cover no-repeat;
    }
}

/* @media (max-height: 930px) {
    .headline {
        margin-top: 20px !important;
    }

    .title-1 {
        width: 380px;
    }

    .city {
        width: 156px;
    }

    .date {
        width: 167px;
    }

    .social {
        gap: 10px;
    }
}

@media (max-height: 740px) {
    .headline {
        margin-top: 10px !important;
    }

    .title-1 {
        width: 240px;
    }

    .city {
        width: 106px;
    }

    .date {
        width: 117px;
    }

    .social {
        gap: 10px;
    }

    .btn-register {
        margin-top: 15px;
    }
} */

/* POP UP */
.popup {
    position: fixed;
    inset: 0;

    display: none;
    justify-content: center;
    align-items: center;

    /* background: rgba(0, 0, 0, 0.8);
    backdrop-filter: blur(8px); */

    z-index: 9999;
}

.popup.active {
    display: flex;
}

.popup-content {
    width: 90%;
    max-width: 700px;
    border: 1px solid rgba(255, 255, 255, .15);
    border-radius: 20px;
    padding: 40px;
    color: white;
    text-align: justify;
    font-size: 24px;
    position: relative;
    animation: popupShow .3s ease;
    position: relative;
    overflow: hidden;
}

.popup-content::before {
    content: "";
    position: absolute;
    inset: 0;
    background: url("./assets/images/popup-background.png") center center/cover no-repeat;
    opacity: 0.95;
    /* atur transparansi */
    z-index: -1;
}

@keyframes popupShow {
    from {
        opacity: 0;
        transform: scale(.9);
    }

    to {
        opacity: 1;
        transform: scale(1);
    }
}

.popup-content h2 {
    font-family: 'Native Record Sans';
    margin-bottom: 15px;
    letter-spacing: 2px;
}

.popup-content p {
    opacity: .8;
    line-height: 1.6;
}

.popup-content input {
    width: 100%;
    padding: 14px;

    margin-bottom: 12px;

    border: 1px solid rgba(255, 255, 255, .15);
    border-radius: 10px;

    background: #1b1b1b;
    color: white;
}

.popup-content button[type="submit"] {
    width: 100%;

    padding: 15px;

    border: none;
    border-radius: 999px;

    background: #c7ab42;
    color: black;

    font-weight: bold;
    cursor: pointer;
}

.close-btn {
    position: absolute;
    right: 15px;
    top: 10px;

    background: none;
    border: none;

    color: white;
    font-size: 28px;
    cursor: pointer;
}